summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2025-02-26 19:26:07 +0000
committerV3n3RiX <venerix@koprulu.sector>2025-02-26 19:26:07 +0000
commitacfd7c956a7b45da7af1452ec12e0b2d5e6ac65b (patch)
tree13151a7440c2560b01e3cf5bd56ad280482b88bf /eclass
parent67dbd3ba144944fbf4b466be1b5fa0569b774e6f (diff)
gentoo auto-resync : 26:02:2025 - 19:26:07
Diffstat (limited to 'eclass')
-rw-r--r--eclass/Manifest.gzbin40201 -> 40200 bytes
-rw-r--r--eclass/qt6-build.eclass8
2 files changed, 3 insertions, 5 deletions
diff --git a/eclass/Manifest.gz b/eclass/Manifest.gz
index 5708fb860929..5088fc42260c 100644
--- a/eclass/Manifest.gz
+++ b/eclass/Manifest.gz
Binary files differ
diff --git a/eclass/qt6-build.eclass b/eclass/qt6-build.eclass
index ae23f4e9bd82..1c13174804ad 100644
--- a/eclass/qt6-build.eclass
+++ b/eclass/qt6-build.eclass
@@ -203,11 +203,9 @@ qt6-build_src_install() {
_qt6-build_create_user_facing_links
- # hack: trim typical junk with currently no known "proper" way
- # to avoid that primarily happens with tests (e.g. qt5compat and
- # qtsvg tests, but qtbase[gui,-test] currently does some too)
- rm -rf -- "${D}${QT6_PREFIX}"/tests \
- "${D}${QT6_LIBDIR}/objects-${CMAKE_BUILD_TYPE}" || die
+ # Qt often install unwanted files when tests are enabled and, while
+ # this does not cover everything, delete the common case.
+ rm -rf -- "${D}${QT6_PREFIX}"/tests || die
}
###### Public helpers ######